<!-- Bootstrap Modal Survey -->
<div id="modal-questionExtraSurvey" class="modal fade modal-questionextrasurvey modal-survey"  tabindex="-1" role="dialog">
  <div class="modal-dialog modal-lg">
    <div class="modal-content">
      <div class="modal-header">
        <button type="button" class="close" data-dismiss="modal" aria-hidden="true">&times;</button>
        <div class="h4 modal-title"></div>
      </div>
      <div class="modal-body frame-loading">
        <i class="loader fa fa-cog fa-spin fa-3x fa-fw"></i>
        <iframe name="frame-questionExtraSurvey" id="extra-survey-iframe"></iframe>
      </div>
      <div class="modal-footer">
        {{ C.Html.htmlButton(gT('Close'),
          ({'type' : 'button','class' : 'btn btn-warning btn-close hidden','data-dismiss' : 'modal'})
        ) }}
        {{ C.Html.htmlButton(gT('Delete'),
          ({'type' : 'button','class' : 'btn btn-danger btn-delete','data-action' : 'delete', 'disabled' : true})
        ) }}
        {{ C.Html.htmlButton(gT('Previous'),
          ({'type' : 'button','class' : 'btn btn-default btn-moveprev','data-action' : 'moveprev', 'disabled' : true})
        ) }}
        {{ C.Html.htmlButton(gT('Save'),
          ({'type' : 'button','class' : 'btn btn-info btn-saveall','data-action' : 'saveall', 'disabled' : true})
        ) }}
        {{ C.Html.htmlButton(language["Save and quit"],
          ({'type' : 'button','class' : 'btn btn-primary btn-saveall','data-action' : 'saveall-quit', 'disabled' : true})
        ) }}
        {{ C.Html.htmlButton(gT('Next'),
          ({'type' : 'button','class' : 'btn btn-default btn-movenext','data-action' : 'movenext', 'disabled' : true})
        ) }}
        {{ C.Html.htmlButton(gT('Submit'),
          ({'type' : 'button','class' : 'btn btn-success btn-movesubmit','data-action' : 'movesubmit', 'disabled' : true})
        ) }}
      </div>
    </div><!-- /.modal-content -->
  </div><!-- /.modal-dialog -->
</div><!-- /.modal -->
<script>
$('#extra-survey-iframe').on('load', function(){
    if ($(this).attr("src")) {
        $("#modal-questionExtraSurvey .frame-loading").addClass("frame-loaded").removeClass("frame-loading");
        $("#modal-questionExtraSurvey .modal-footer .btn").removeClass("btn-waiting");
    } else {
        $("#modal-questionExtraSurvey .frame-loaded").addClass("frame-loading").removeClass("frame-loaded");
        $("#modal-questionExtraSurvey .modal-footer .btn").addClass("btn-waiting");
    }
});
</script>
